﻿using System;
using Skybrud.Social.Facebook.Exceptions;
using Skybrud.Social.Facebook.Objects;
using Skybrud.Social.Json;

namespace Skybrud.Social.Facebook.Responses {

    public class FacebookPostsResponse {

        public FacebookPostSummary[] Data { get; private set; }

        public FacebookPaging Paging {
            get; private set;
        }

        public static FacebookPostsResponse ParseJson(string contents) {
            return Parse(JsonConverter.ParseObject(contents));
        }

        public static FacebookPostsResponse Parse(JsonObject obj) {
            if (obj == null) return null;
            if (obj.HasValue("error")) throw obj.GetObject("error", FacebookException.Parse);
            return new FacebookPostsResponse {
                Data = obj.GetArray("data", FacebookPostSummary.ParseMultiple),
                Paging = obj.GetObject("paging", FacebookPaging.Parse)
            };
        }

    }

}
