﻿using System.Xml.Linq;
using Skybrud.Social.Vimeo.Objects;

namespace Skybrud.Social.Vimeo.Responses {

    public class VimeoChannelVideosResponse {

        public VimeoVideo[] Videos { get; private set; }
        public XElement XElement { get; private set; }

        public static VimeoChannelVideosResponse Parse(XElement xVideos) {
            if (xVideos == null || xVideos.Name != "videos") return null;
            VimeoChannelVideosResponse response = new VimeoChannelVideosResponse {
                Videos = VimeoVideo.ParseMultiple(xVideos) ?? new VimeoVideo[0],
                XElement = xVideos
            };
            return response;
        }

    }

}
